using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JuSNS.Model.ApiInterface;
using JuSNS.ApiInterface;
namespace JuSNS.Web.app
{
    public partial class appinfo : JuSNS.UI.Page.UserPage
    {
        protected int ID = 0;
        protected AppInfo theappinfo = new AppInfo();
        protected bool isInstall = false;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!int.TryParse(Request.QueryString["id"], out ID))
            {
                this.PageError("页面参数错误", Request.RawUrl);
            }
            bindAppInfo();
        }

        protected void bindAppInfo()
        {
            ApiUser aUser = new ApiUser(this.UserID);
            isInstall = aUser.IsAppAdded(ID);
            theappinfo = App.GetAppInfo(ID);
            DataBind();
        }
    }
}
